package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库存表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2018-11-02 11:06
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_STOCK_QUANT")
@DynamicInsert
@DynamicUpdate
@Api(value="库存表",description = "库存表")
public class WmsStockQuant extends BaseBean{

    @Column(name="CUST_ID")
    @ApiParam(value ="客户编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long custId;

    @Column(name="CUST_CODE")
    @ApiParam(value ="客户代码")
    private String custCode;

    @Column(name="SUPP_ID")
    @ApiParam(value ="供应商编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suppId;

    @Column(name="SUPP_CODE")
    @ApiParam(value ="供应商代码")
    private String suppCode;

    @Column(name="PART_ID")
    @ApiParam(value ="零件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long partId;

    @Column(name="PART_NO")
    @ApiParam(value ="零件编号")
    private String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam(value ="零件名称")
    private String partNameRdd;

    @Column(name="UNIT")
    @ApiParam(value ="采购单位")
    private String unit;

    @Column(name="QIT")
    @ApiParam(value ="库存数")
    private Double qit;

    @Column(name="ERP_WAREHOUSE")
    @ApiParam(value ="收货库存地")
    private String erpWareHouse;

    @Column(name="WH_ID")
    @ApiParam(value ="仓库编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long whId;

    @Column(name="WH_CODE")
    @ApiParam(value ="仓库代码")
    private String whCode;

    @Column(name="LOC_ID")
    @ApiParam(value ="库位编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long locId;

    @Column(name="LOC_CODE")
    @ApiParam(value ="库位代码")
    private String locCode;

    public Long getCustId() {
        if(custId != null) {
            return custId.longValue();
        }else{
            return custId;
        }
    }

    public Long getSuppId() {
        if(suppId != null) {
            return suppId.longValue();
        }else{
            return suppId;
        }
    }

    public Long getPartId() {
        if(partId != null) {
            return partId.longValue();
        }else{
            return partId;
        }
    }

    public Long getWhId() {
        if(whId != null) {
            return whId.longValue();
        }else{
            return whId;
        }
    }

    public Long getLocId() {
        if(locId != null) {
            return locId.longValue();
        }else{
            return locId;
        }
    }

}
